{{- $original := .original -}}
{{- $resized := .resized -}}
{{- $smallImage := index $resized 0 -}}
{{- $largeImage := index $resized (sub ($resized | len) 1) -}}
{{- $hasWebP := isset $smallImage "url_webp" -}}

{{- $alt := .alt | default "" -}}
{{- $focus := .focus | default (dict "x" 0 "y" 0) -}}
{{- $posX := sub 50.0 (mul $focus.x 50) -}}
{{- $posY := sub 50.0 (mul $focus.y 50) -}}
{{- $href := .href | default $largeImage.url_jpeg -}}
{{- $onclick := .onclick | default "return showImage(this)" -}}


<a href="{{ $href }}" target="_blank" onclick="{{ safeJS $onclick }}">
  <picture>
    {{ if $hasWebP -}}
    <source
      type="image/webp"
      srcset="
        {{- range $i, $image := $resized -}}
          {{- if $i -}}, {{- end -}}
          {{- $image.url_webp }} {{ $image.width }}w
        {{- end -}}
      "
      sizes="(min-width: 1024px 100vw, 50vw)"
    />
    {{- end }}
    <source
      type="image/jpeg"
      srcset="
        {{- range $i, $image := $resized -}}
          {{- if $i -}}, {{- end -}}
          {{- $image.url_jpeg }} {{ $image.width }}w
        {{- end -}}
      "
      sizes="(min-width: 1024px 100vw, 50vw)"
    />
    {{ with $smallImage -}}
    <img
      src="{{ .url_jpeg }}"
      width="{{ .width }}"
      height="{{ .height }}"
      alt="{{ $alt }}"
      style="object-position: {{ $posX }}% {{ $posY}}%"
      loading="lazy"
    />
    {{- end }}
    </picture>
  </a>
</p>
